Page MenuHomePhabricator

dirstate: remove a update_file's special case for tracked file with p2 data
AbandonedPublic

Authored by marmoute on Oct 1 2021, 2:39 PM.

Details

Reviewers
Alphare
pulkit
Group Reviewers
hg-reviewers
Summary

This case was fishy and can be dealt with by passing more accurate data a higher
level.

This clarify the API and prepare for a larger rework of the data we feeds to
the dirstate.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Oct 1 2021, 2:39 PM
Alphare accepted this revision.Oct 1 2021, 4:22 PM
This revision is now accepted and ready to land.Oct 1 2021, 4:22 PM
pulkit accepted this revision.Oct 12 2021, 9:24 AM

This series can be abandoned.

marmoute abandoned this revision.Oct 15 2021, 9:11 AM

apparently already queued but phabricator is confused.